Subject: 24.4: function `bookmark-get-bookmark'

From: Boruch Baum <[email-masked]>
Date: Fri, 20 Mar 2015 00:42:21 -0400

Function `bookmark-get-bookmark' ...

1] tests for the existence of a bookmark by checking whether the input
string matches a cons cell. This casts a net much wider than desirable,
and might better be (assoc bookmark-name-or-record bookmark-alist).

2] returns only a string value on error, without passing nil back to the
calling function.

My usage case is that I was scripting a function to find org-mode files
in a directory tree, and add them to a bookmark list if they aren't
already bookmarked according to my naming convention. Originally, I had
tried checking for the existence of a bookmark using a few of the
bookmark.el functions, such as bookmark-get-bookmark, but that looked
inconvenient because they returned string values on failure.

-- 
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0